2023-02-25 07:45:40 UTC
53.9 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:13a1d7e543968b1c2bd92ca5f2fb2e964b31713fc7707305c1cdfb935ca3e631 - 5.02% (2.7 MB)
[#001] sha256:d6d10cb28cec66b11197c600ad55cf3f47d249f67c6eb6d437c5576ddd38bd29 - 0.0% (1.24 KB)
[#002] sha256:ead3da331181adb8ca1138d414e9a5b1196d9358b08a2df35b40ef5e6d8bd342 - 94.98% (51.1 MB)
[#003] sha256:32e7e93cb8697b7b99a339d6cda3eee3b3016861a303ab9bad1446749e209050 - 0.0% (176 Bytes)
[#004] sha256:331791ab913c681bb08fe440e3d2e3d3d17e68160c08210b36b0b288c3accdc8 - 0.0% (154 Bytes)
[#005] sha256:37a564f0c931d70c31343449949582e13677bda54baeedb27407283b12ecdefe - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:35855658886412913d05c0f9e29bf8f650c0d37e20100a9de118b468f86f7f30 in /
2023-02-10 21:24:34 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-02-25 07:45:29 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.15.0
2023-02-25 07:45:29 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.15.0 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-02-25 07:45:29 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-02-25 07:45:30 UTC|1 CONSUL_VERSION=1.15.0 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-02-25 07:45:38 UTC|1 CONSUL_VERSION=1.15.0 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-02-25 07:45:39 UTC|1 CONSUL_VERSION=1.15.0 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-02-25 07:45:40 UTC|1 CONSUL_VERSION=1.15.0 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-02-25 07:45:40 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-02-25 07:45:40 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-02-25 07:45:40 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-02-25 07:45:40 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-02-25 07:45:40 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2023-02-25 07:45:40 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-02-25 07:45:40 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2023-02-25 00:36:46 UTC
55.2 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:895e193edb5191bf66fb5ccb29f5d3659e05eec5953255180cbdd66520e7c517 - 4.89% (2.7 MB)
[#001] sha256:cd42e3c5627afe1a57d4230be5dc11b0c1de3e793939a10bc9aa4ff9836517f5 - 0.0% (1.24 KB)
[#002] sha256:a51dfee8f0af07ba1221883e60ce52f0205c116d4946b2beb6e1587ecf2c0023 - 95.11% (52.5 MB)
[#003] sha256:6dfbefd36cf65c7bdef5ef877f0e20ff7e6bcf6a77a92aebb718168ded978643 - 0.0% (176 Bytes)
[#004] sha256:e952e991c0aa96b1d031d8c08e85b06d7a99d339bee758fa79bf3c6d4fccec4f - 0.0% (154 Bytes)
[#005] sha256:2e6d554e81cd6ac67ccad4bfeea60bf62a2e6ae7a26ca8a48049191118415a90 - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:cdac18271416ac5bf6876b7ea9af1129108d03f9813589dfda113e5f09d6b80b in /
2023-02-11 04:46:55 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-02-25 00:36:36 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.15.0
2023-02-25 00:36:36 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.15.0 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-02-25 00:36:36 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-02-25 00:36:37 UTC|1 CONSUL_VERSION=1.15.0 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-02-25 00:36:44 UTC|1 CONSUL_VERSION=1.15.0 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-02-25 00:36:45 UTC|1 CONSUL_VERSION=1.15.0 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-02-25 00:36:46 UTC|1 CONSUL_VERSION=1.15.0 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-02-25 00:36:46 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-02-25 00:36:46 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-02-25 00:36:46 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-02-25 00:36:46 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-02-25 00:36:46 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2023-02-25 00:36:46 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-02-25 00:36:46 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2023-02-25 02:33:19 UTC
52.5 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:ed6cbaa656dcebfe8d252792a339ccf10dddd695875f07c9636d59a5baf85f3f - 4.78% (2.51 MB)
[#001] sha256:d37344211dbaffead73bb54ebd0262242125b2c9c9485c027e13fc0bd6392f81 - 0.0% (1.24 KB)
[#002] sha256:02a17b9ee24ea03e20b01ff68ea5f57637ec1794a5367f44ba8777e5b7d1e059 - 95.21% (50 MB)
[#003] sha256:ba898656f19a20d3fc51cc2777e7c15bb9408ea6c92064b3118bc8b972c6d613 - 0.0% (176 Bytes)
[#004] sha256:5ef50ec5802a7f33bc5a8771d16ab31c74f36314a44bd7635728fe452aaca335 - 0.0% (154 Bytes)
[#005] sha256:8924bb877dbbc3818ea54a416b42231f22230318ad4cc444c9718b20d3226961 - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:141468a99f598ddb90dbb73978d10c0f00d01ece185e157ac33a0a1414d45944 in /
2023-02-10 20:49:37 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-02-25 02:33:08 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.15.0
2023-02-25 02:33:08 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.15.0 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-02-25 02:33:08 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-02-25 02:33:09 UTC|1 CONSUL_VERSION=1.15.0 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-02-25 02:33:17 UTC|1 CONSUL_VERSION=1.15.0 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-02-25 02:33:17 UTC|1 CONSUL_VERSION=1.15.0 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-02-25 02:33:18 UTC|1 CONSUL_VERSION=1.15.0 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-02-25 02:33:18 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-02-25 02:33:18 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-02-25 02:33:18 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-02-25 02:33:18 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-02-25 02:33:18 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2023-02-25 02:33:18 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-02-25 02:33:19 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2023-02-25 01:21:39 UTC
52 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:404f35918b797abb27547df3b530ec55a77c499c4dce88f3b90867115087f9e7 - 4.99% (2.6 MB)
[#001] sha256:f216e177df132c82fd24465f65346f46c4cd4b09f3e2bbd0531df38b921593fc - 0.0% (1.24 KB)
[#002] sha256:7a09089494b024ce326ad5140007ce551c0b4510372ef3ebd7c494043651e7ee - 95.01% (49.4 MB)
[#003] sha256:2501fa3ea5460f16ea46fa3816756598a9517b1ac357d155e4054291ce65146b - 0.0% (174 Bytes)
[#004] sha256:ad9fd5c0bdabea77df1b82eb2f4ea581dbf10c960d1f5af61a7cb2ed3ab50e51 - 0.0% (154 Bytes)
[#005] sha256:116c9d8f034dc32e99023debebaec89a9afab24975adde1c93119d48165f0b05 - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:a73970ac03f28a1d3b9aaee19e859d958867b42fb91f29efb1259fbddc66ffb1 in /
2023-02-10 21:24:16 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2023-02-25 01:21:30 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.15.0
2023-02-25 01:21:30 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.15.0 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2023-02-25 01:21:30 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2023-02-25 01:21:31 UTC|1 CONSUL_VERSION=1.15.0 /bin/sh -c addgroup consul && adduser -S -G consul consul
2023-02-25 01:21:36 UTC|1 CONSUL_VERSION=1.15.0 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2023-02-25 01:21:38 UTC|1 CONSUL_VERSION=1.15.0 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2023-02-25 01:21:38 UTC|1 CONSUL_VERSION=1.15.0 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2023-02-25 01:21:38 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2023-02-25 01:21:38 UTC/bin/sh -c #(nop) EXPOSE 8300
2023-02-25 01:21:38 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2023-02-25 01:21:38 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2023-02-25 01:21:38 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2023-02-25 01:21:39 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2023-02-25 01:21:39 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]